<template>
    <v-app>
        <v-app-bar app color="primary" dark>
            <v-toolbar-title>{{$t('message')}}</v-toolbar-title>
            <v-spacer></v-spacer>
            <v-btn
                    :key="`${link.label}-header-link`"
                    :to="link.url"
                    rounded
                    text
                    v-for="link in links">{{link.label}}
            </v-btn>
            <v-btn @click="toggleTheme" rounded text>{{$t('navbar.toggleTheme')}}</v-btn>
        </v-app-bar>
        <v-main>
            <router-view></router-view>
        </v-main>
        <v-footer
                color="primary lighten-1"
                padless
        >
            <v-row
                    justify="center"
                    no-gutters
            >
                <v-btn
                        :key="`${link.label}-footer-link`"
                        :to="link.url"
                        class="my-2"
                        color="white"
                        rounded
                        text
                        v-for="link in links"
                >
                    {{ link.label }}
                </v-btn>
                <v-col
                        class="primary lighten-2 py-4 text-center white--text"
                        cols="12"
                >
                    {{ new Date().getFullYear() }} — <strong>Vuetify Dashboard</strong>
                </v-col>
            </v-row>
        </v-footer>
    </v-app>
</template>

<script>

    export default {
        name: 'App',

        data() {
            let $t = this.$t.bind(this);
            this.$nextTick(() => {
                $t = this.$t.bind(this);
            })

            return {
                links: [{
                    label: $t('navbar.home'),
                    url: '/'
                }, {
                    label: $t('navbar.login'),
                    url: '/login'
                }, {
                    label: $t('navbar.dashboard'),
                    url: '/dashboard'
                }, {
                    label: $t('navbar.signup'),
                    url: '/signup'
                }
                ],
            }
        },
        methods: {
            toggleTheme() {
                this.$vuetify.theme.dark = !this.$vuetify.theme.dark;
                this.$vuetify.theme.themes.dark.anchor = '#41B883';
                if (this.$i18n.locale === 'en') this.$i18n.locale = 'sv';
                else this.$i18n.locale = 'en';
            }
        }
    }
</script>